=== debian/changelog ===
tfk8s (0.1.10-2) unstable; urgency=medium

  * d/control: Fix VCS-* now set to kubernetes-team salsa group.
  * d/rules: Enable PIE setting GO_FLAGS buildmode.
  * d/tfk8s.lintian-overrides: Created.

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Tue, 26 Sep 2023 00:19:24 +0100

tfk8s (0.1.10-1) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Thu, 15 Jun 2023 18:16:00 -0400

tfk8s (0.1.10-1~exp1) experimental; urgency=medium

  * Initial release (Closes: #1032033)

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 24 Feb 2023 22:53:16 +0000
