=== debian/control ===
Source: tfk8s
Maintainer: Debian Kubernetes Packaging Team <team+kubernetes@tracker.debian.org>
Uploaders: Arthur Diniz <arthurbdiniz@gmail.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-zclconf-go-cty-dev,
               golang-k8s-sigs-yaml-dev,
               help2man <!nodoc>
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/kubernetes-team/packages/tfk8s
Vcs-Git: https://salsa.debian.org/kubernetes-team/packages/tfk8s.git
Homepage: https://github.com/jrhouston/tfk8s
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/jrhouston/tfk8s

Package: tfk8s
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Tool for converting Kubernetes YAML manifests to Terraform HCL
 Tool that makes it easier to work with the Terraform Kubernetes Provider
 converting YAML manifest files to Terraform HCL format.
